package cn.sh.stc.sict.cloud.upms.dto;


import cn.sh.stc.sict.cloud.upms.model.SysUserBase;
import lombok.Data;

/**
 * @Description
 * @Author
 * @Date
 */
@Data
public class UserInfo {

    /**
     * 登陆人openId
     */
    private String openId;
    /**
     * 登陆人公众号appdId
     */
    private String appId;
    /**
     * 医院公众号登陆的用户包含医院代码
     */
    private String hospitalCode;

    /**
     * 香山中医公众号用户信息
     */
    private String xszyUserInfo;

    /**
     * 用户基本信息
     */
    private SysUserBase sysUserBase;

    private String[] permissions;

    private String[] roles;
}
